> For the complete documentation index, see [llms.txt](https://docs.akamas.io/akamas-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akamas.io/akamas-docs/3.6/reference/optimization-packs/web-application-pack/web-application.md).

# Web Application

This page describes the Optimization Pack for Web Applications.

## Metrics

### Performance metrics

| Metric                            | Unit           | Description                                    |
| --------------------------------- | -------------- | ---------------------------------------------- |
| transactions\_throughput          | transactions/s | The number of transactions executed per second |
| transactions\_response\_time      | milliseconds   | The average transaction response time          |
| transactions\_response\_time\_max | milliseconds   | The maximum recorded transaction response time |
| transactions\_response\_time\_min | milliseconds   | The minimum recorded transaction response time |
| pages\_throughput                 | pages/s        | The number of pages requested per second       |
| pages\_response\_time             | milliseconds   | The average page response time                 |
| pages\_response\_time\_max        | milliseconds   | The maximum recorded page response time        |
| pages\_response\_time\_min        | milliseconds   | The minimum recorded page response time        |
| requests\_throughput              | requests/s     | The number of requests performed per second    |
| requests\_response\_time          | milliseconds   | The average request response time              |
| requests\_response\_time\_max     | milliseconds   | The maximum recorded request response time     |
| requests\_response\_time\_min     | milliseconds   | The minimum recorded request response time     |

### Error metrics

| Metric                          | Unit           | Description                                            |
| ------------------------------- | -------------- | ------------------------------------------------------ |
| transactions\_error\_rate       | percent        | The percentage of transactions flagged as error        |
| transactions\_error\_throughput | transactions/s | The number of transactions flagged as error per second |
| pages\_error\_rate              | percent        | The percentage of pages flagged as error               |
| pages\_error\_throughput        | pages/s        | The number of pages flagged as error per second        |
| requests\_error\_rate           | percent        | The requests of requests flagged as error              |
| requests\_error\_throughput     | requests/s     | The number of requests flagged as error per second     |

### Load metrics

|       | Unit  | Description                                        |
| ----- | ----- | -------------------------------------------------- |
| users | users | The number of users performing requests on the web |

## Parameters

There are no parameters for Web Applications.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.akamas.io/akamas-docs/3.6/reference/optimization-packs/web-application-pack/web-application.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
